Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class BlockLayoutManager.ProxyLMiter

    java.lang.Object
      org.apache.fop.layoutmgr.LMiter
          org.apache.fop.layoutmgr.BlockLayoutManager.ProxyLMiter

All Implemented Interfaces:
  java.util.Iterator<LayoutManager>, java.util.ListIterator<LayoutManager>

Enclosing class:
  BlockLayoutManager

    protected class BlockLayoutManager.ProxyLMiter

extends LMiter

Proxy iterator for Block LM. This iterator creates and holds the complete list of child LMs. It uses fobjIter as its base iterator. Block LM's createNextChildLMs uses this iterator as its base iterator.

Field Summary

Fields inherited from class org.apache.fop.layoutmgr.LMiter
`curPos, listLMs`

Constructor Summary
`BlockLayoutManager.ProxyLMiter()` Constructs a proxy iterator for Block LM.

Method Summary
`protected boolean` | `createNextChildLMs(int pos)`
`boolean` | `hasNext()`

Methods inherited from class org.apache.fop.layoutmgr.LMiter
`add, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockLayoutManager.ProxyLMiter

    public BlockLayoutManager.ProxyLMiter()

  Constructs a proxy iterator for Block LM.

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from class: `LMiter`

  Specified by:
    `hasNext` in interface `java.util.Iterator<LayoutManager>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<LayoutManager>`
  Overrides:
    `hasNext` in class `LMiter`
  Returns:
    true if there are more child lms

### createNextChildLMs

    protected boolean createNextChildLMs(int pos)

  Parameters:
    `pos` - ...
  Returns:
    true if new child lms were added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.